> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mesadepagos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fees

> Retrieve and configure fees.

The Fees module retrieves and creates fee configurations for the authenticated business.

## Retrieve Fees

```http theme={null}
GET /v2/fees
```

### Query Parameters

| Parameter         | Required | Values                                         |
| ----------------- | -------- | ---------------------------------------------- |
| `type`            | No       | `FIXED`, `PERCENTAGE`                          |
| `pair`            | No       | `USDC/BOB`, `BOB/USDC`, `USDT/BOB`, `BOB/USDT` |
| `transactionType` | No       | Supported transaction types                    |
| `status`          | No       | `CURRENT`, `OLD`                               |

### Response

```json theme={null}
[
  {
    "pair": "USDC/BOB",
    "transactionType": "withdrawal_express",
    "amount": 0.5,
    "feeType": "PERCENTAGE",
    "status": "CURRENT",
    "createdBy": "Partner User",
    "validUntil": null,
    "supersededBy": null,
    "predecessor": null
  }
]
```

## Create a Fee

```http theme={null}
POST /v2/fees
```

```json theme={null}
{
  "pair": "USDC/BOB",
  "transactionType": "withdrawal_express",
  "amount": 0.5,
  "type": "PERCENTAGE"
}
```

### Response

```json theme={null}
{
  "pair": "USDC/BOB",
  "transactionType": "withdrawal_express",
  "amount": 0.5,
  "feeType": "PERCENTAGE",
  "status": "CURRENT",
  "createdBy": "Partner User"
}
```

## Fee Types

| Type         | Description                   |
| ------------ | ----------------------------- |
| `PERCENTAGE` | Applied to the exchange rate. |
| `FIXED`      | Applied to the total amount.  |
